Magick++: Magick::DrawableArc Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableArc Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableArc:
[legend]
Collaboration diagram for Magick::DrawableArc:
[legend]

## Public Member Functions
| DrawableArc (double startX_, double startY_, double endX_, double endY_, double startDegrees_, double endDegrees_)
| ~DrawableArc (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | startX (double startX_)
double | startX (void) const
void | startY (double startY_)
double | startY (void) const
void | endX (double endX_)
double | endX (void) const
void | endY (double endY_)
double | endY (void) const
void | startDegrees (double startDegrees_)
double | startDegrees (void) const
void | endDegrees (double endDegrees_)
double | endDegrees (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 347 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableArc::DrawableArc | ( | double | startX_,
|  | double | startY_,
|  | double | endX_,
|  | double | endY_,
|  | double | startDegrees_,
|  | double | endDegrees_
| ) |  |
| inline

Definition at line 350 of file Drawable.h.

Magick::DrawableArc::~DrawableArc | ( | void |  | ) |

Definition at line 248 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableArc::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 255 of file Drawable.cpp.

void Magick::DrawableArc::endDegrees | ( | double | endDegrees_ | ) |
| inline

Definition at line 414 of file Drawable.h.

double Magick::DrawableArc::endDegrees | ( | void |  | ) | const
| inline

Definition at line 418 of file Drawable.h.

void Magick::DrawableArc::endX | ( | double | endX_ | ) |
| inline

Definition at line 387 of file Drawable.h.

double Magick::DrawableArc::endX | ( | void |  | ) | const
| inline

Definition at line 391 of file Drawable.h.

void Magick::DrawableArc::endY | ( | double | endY_ | ) |
| inline

Definition at line 396 of file Drawable.h.

double Magick::DrawableArc::endY | ( | void |  | ) | const
| inline

Definition at line 400 of file Drawable.h.

void Magick::DrawableArc::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 251 of file Drawable.cpp.

void Magick::DrawableArc::startDegrees | ( | double | startDegrees_ | ) |
| inline

Definition at line 405 of file Drawable.h.

double Magick::DrawableArc::startDegrees | ( | void |  | ) | const
| inline

Definition at line 409 of file Drawable.h.

void Magick::DrawableArc::startX | ( | double | startX_ | ) |
| inline

Definition at line 369 of file Drawable.h.

double Magick::DrawableArc::startX | ( | void |  | ) | const
| inline

Definition at line 373 of file Drawable.h.

void Magick::DrawableArc::startY | ( | double | startY_ | ) |
| inline

Definition at line 378 of file Drawable.h.

double Magick::DrawableArc::startY | ( | void |  | ) | const
| inline

Definition at line 382 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp